Subject: bug#41879: 28.0.50; [Patch]: Add project-switch-to-buffer in project.el

From: Dmitry Gutov <[email-masked]>
Date: Sun, 21 Jun 2020 04:04:57 +0300

On 20.06.2020 11:35, Andrii Kolomoiets wrote:
> Dmitry Gutov <[email-masked]> writes:
> 
>> On 19.06.2020 07:59, Andrii Kolomoiets wrote:
>>> Furthermore, by not requiring a match, switch-to-buffer allows to create
>>> buffers.
>>
>> Right.
>>
>> Do you need this ability? I would imagine switch-to-buffer is always
>> available for that.
> 
> Well, I rarely use this ability of switch-to-buffer.  I can't say I
> really need this in project-switch-to-buffer.
> 
> But to keep consistency with switch-to-buffer, project-switch-to-buffer
> should behave the same.

There are other differences, too. The arglist, for example.

> Also, in my understanding, match is should be required on e.g. killing
> buffers when existing buffer is required.  Because switch-to-buffer is
> able to create buffers, I can't see the reason why
> project-switch-to-buffer should require the match.

To better protect from typos? It's not a very strong argument, of 
course. But "just for consistency" isn't one either.